"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createImageMapMedia = void 0;
var faker_1 = __importDefault(require("faker"));
var createDataEntry_1 = require("./createDataEntry");
var createImageMapMedia = function (id) {
    if (id === void 0) { id = faker_1.default.datatype.uuid(); }
    var base = (0, createDataEntry_1.createDataEntry)(id);
    var name = faker_1.default.random.word();
    return __assign(__assign({}, base), { fsType: 'Media', name: name, mediaType: 'PICTURE', url: faker_1.default.random.word(), pictureMetaData: {
            fileSize: faker_1.default.datatype.number(),
            extension: 'jpeg',
            mimeType: 'image/jpeg',
            width: 4500,
            height: 3000,
        } });
};
exports.createImageMapMedia = createImageMapMedia;
//# sourceMappingURL=createImageMapMedia.js.map