"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMediaPicture = void 0;
var faker_1 = __importDefault(require("faker"));
var createDataEntry_1 = require("./createDataEntry");
var createMediaPicture = function (id, locale) {
    if (id === void 0) { id = faker_1.default.datatype.uuid(); }
    if (locale === void 0) { locale = faker_1.default.random.locale(); }
    var base = (0, createDataEntry_1.createDataEntry)(id, locale);
    var name = faker_1.default.random.word();
    return __assign(__assign({}, base), { fsType: 'Media', name: name, metaFormData: {}, mediaType: 'PICTURE', resolutionsMetaData: {}, languageDependent: faker_1.default.datatype.boolean(), fileName: base.uid + "-fileName", description: base.uid + "-description", changeInfo: {
            revision: 0,
        } });
};
exports.createMediaPicture = createMediaPicture;
//# sourceMappingURL=createMediaPicture.js.map