"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPageRef = void 0;
var faker_1 = __importDefault(require("faker"));
var createDataEntry_1 = require("./createDataEntry");
function createPageRef(pageChildren, locale) {
    if (pageChildren === void 0) { pageChildren = []; }
    var base = (0, createDataEntry_1.createDataEntry)(locale);
    var page = (0, createDataEntry_1.createDataEntry)(locale);
    var template = (0, createDataEntry_1.createDataEntry)(locale);
    return __assign(__assign({}, base), { url: "https://fs." + base.uid + "local", fsType: 'PageRef', page: __assign(__assign({}, page), { fsType: 'Page', children: pageChildren, formData: {}, metaFormData: {}, template: __assign(__assign({}, template), { fsType: 'PageTemplate' }) }), route: "/" + faker_1.default.random.word() + "/" + faker_1.default.random.word() + "/" });
}
exports.createPageRef = createPageRef;
//# sourceMappingURL=createPageRef.js.map