import type { Chalk } from 'chalk';
export declare enum LogLevel {
    DEBUG = 0,
    INFO = 1,
    WARNING = 2,
    ERROR = 3,
    NONE = 4
}
export declare class Logger {
    private _logLevel;
    private _name;
    private chalk;
    constructor(logLevel: LogLevel, name: string, chalk?: Chalk);
    get logLevel(): LogLevel;
    debug(...args: any[]): void;
    log(...args: any[]): void;
    info(...args: any[]): void;
    warn(...args: any[]): void;
    error(...args: any[]): void;
}
