import { Logger } from './Logger';
import * as saxes from 'saxes';
import { RichTextElement } from '../types';
declare class XMLParser {
    logger: Logger;
    constructor(logger: Logger);
    sanitizeXml(xml: string): string;
    parse(xml: string): Promise<RichTextElement[]>;
    getCurrentElement: (result: RichTextElement, path: string[]) => any;
    createRichTextElement(tag: saxes.SaxesTag): RichTextElement;
}
export default XMLParser;
