import { FSXAContentMode } from '../enums';
import { LogLevel } from '../modules';
export declare const generateRandomConfig: () => {
    apikey: string;
    caasURL: string;
    navigationServiceURL: string;
    tenantID: string;
    projectID: string;
    remotes: {
        remote: {
            id: string;
            locale: string;
        };
        secondRemote: {
            id: string;
            locale: string;
        };
    };
    contentMode: FSXAContentMode;
    logLevel: LogLevel;
};
