import { CaasApi_Item, MappedCaasItem } from '../types';
import { ResolvedReferencesInfo, ReferencedItemsInfo } from './CaaSMapper';
import { Logger } from './Logger';
declare const getItemId: (item: MappedCaasItem | CaasApi_Item, remoteProjectId?: string | undefined) => string;
declare const findResolvedReferencesByIds: (ids: string[], resolvedReferences: ResolvedReferencesInfo) => (MappedCaasItem | CaasApi_Item)[];
declare const denormalizeResolvedReferences: (mappedItems: (CaasApi_Item | MappedCaasItem)[], referenceMap: ReferencedItemsInfo, resolvedReferences: ResolvedReferencesInfo, remoteProjectId?: string | undefined, logger?: Logger | undefined) => (MappedCaasItem | CaasApi_Item)[];
export { getItemId, findResolvedReferencesByIds, denormalizeResolvedReferences };
